## kdbusd 0.3-2

=== Makefile ===

CFLAGS = -Wall -Wchar-subscripts -Wmissing-declarations \
	-Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare

CFLAGS += -DDEBUG -g

INSTALL = install
DESTDIR =
BINDIR = $(DESTDIR)/usr/sbin
DBUSDIR = $(DESTDIR)/etc/dbus-1/system.d

all: kdbusd

kdbusd: kdbusd.c
	gcc $(CFLAGS) -o kdbusd kdbusd.c `pkg-config --cflags --libs dbus-1`

clean:
	-rm -f kdbusd

distclean: clean

install: all
	$(INSTALL) -d $(BINDIR) $(DBUSDIR)
	$(INSTALL) -s kdbusd $(BINDIR)
	$(INSTALL) -m644 kernel_sysbus_policy.conf $(DBUSDIR)

## kdbusd 0.3

=== debian/changelog ===
kdbusd (0.3) unstable; urgency=low

  * Add distclean target in makefile

 -- Timo Teräs <ext-timo.teras@nokia.com>  Thu,  3 Feb 2005 16:07:05 +0200

kdbusd (0.2) unstable; urgency=low

  * Fixed the D-BUS policy configuration

 -- Timo Teräs <ext-timo.teras@nokia.com>  Fri, 26 Nov 2004 14:28:12 +0200

kdbusd (0.1) unstable; urgency=low

  * Initial release

 -- Timo Teräs <ext-timo.teras@nokia.com>  Fri, 14 May 2004 13:52:30 +0300

=== debian/control ===
Source: kdbusd
Priority: optional
Maintainer: Timo Teräs <ext-timo.teras@nokia.com>
Build-Depends: debhelper (>> 3.0.0), autotools-dev, dbus-1-dev (>= 0.22)
Standards-Version: 3.6.1
Section: net

Package: kdbusd
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: Kernel UEvent to D-BUS proxy
 This package contains a proxy daemon which forwards Kernel UEvents to
 D-BUS system daemon.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

confflags += --enable-debug

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-if [ -f Makefile ] ; then $(MAKE) distclean ; fi
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kdbusd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_movefiles
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_gconf
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kdbusd 0.3-2

=== debian/changelog ===
kdbusd (0.3-2) unstable; urgency=low

  * Starting kdbusd after af-services (bug 13704).
  * Removed broken sending of HUP to D-BUS daemon.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 03 Jun 2005 16:09:39 +0300

kdbusd (0.3-1) unstable; urgency=low

  * Added dsmetool startup & stopping to the init script.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 16 May 2005 16:04:22 +0300
